This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 909934 (CVE-2012-6129)

Summary: CVE-2012-6129 transmission: Stack-based buffer overflow (DoS) when processing acknowledgements
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED CANTFIX QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: abdulkarimmemon, admiller, bct, charles, csonpatki, jspaleta, kumarpraveen.nitdgp, metherid, raghusiddarth, sanjay.ankur
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20120801,reported=20130210,source=oss-security,cvss2=5.0/AV:N/AC:L/Au:N/C:N/I:N/A:P,fedora-18/transmission=notaffected,fedora-17/transmission=notaffected,fedora-16/transmission=affected,epel-6/transmission=notaffected,epel-5/transmission=notaffected,cwe=CWE-121[auto]
Fixed In Version: transmission-2.74 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-11 14:18:50 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 909939    
Bug Blocks:    

Description Jan Lieskovsky 2013-02-11 08:33:16 EST
A stack-based buffer overflow flaw was found in the way Transmission, a free, lightweight BitTorrent client, performed connection acknowledgements processing. A remote attacker could issue a specially-crafted request that, when processed would lead to transmission-daemon crash.

Upstream ticket:
[1] https://trac.transmissionbt.com/ticket/5002

Source of the problem:
[2] https://trac.transmissionbt.com/ticket/5002#comment:22

Libutp patches:
[3] https://github.com/bittorrent/libutp/issues/38
[4] https://github.com/bittorrent/libutp/issues/37

Relevant transmission upstream patch:
[5] https://trac.transmissionbt.com/changeset/13646

Other references:
[6] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=700234
[7] http://www.openwall.com/lists/oss-security/2013/02/10/2
Comment 1 Jan Lieskovsky 2013-02-11 08:40:17 EST
This issue did NOT affect the versions of the transmission package, as shipped with Fedora release of 17 and 18 (they contain 2.76 upstream based versions already, which is not vulnerable to this problem any more).

--

This issue affects the version of the transmission package, as shipped with Fedora release of 16. Please schedule an update.

--

This issue did NOT affect the versions of the transmission package, as shipped with Fedora EPEL 5 and Fedora EPEL 6 (they don't contain the relevant code part yet).
Comment 2 Jan Lieskovsky 2013-02-11 08:40:57 EST
Created transmission tracking bugs for this issue

Affects: fedora-16 [bug 909939]
Comment 3 Jan Lieskovsky 2013-02-11 08:49:18 EST
Follow-up on the CVE request:
http://www.openwall.com/lists/oss-security/2013/02/11/4
Comment 4 Rahul Sundaram 2013-02-11 14:18:50 EST
EOL is tomorrow
Comment 5 Jan Lieskovsky 2013-02-13 05:31:35 EST
CVE identifier of CVE-2012-6129 has been assigned to this issue:
http://www.openwall.com/lists/oss-security/2013/02/13/1